-- 比较字符串是否相同,执行结果为same
begin
IF trim(' ') <> trim('1') THEN
  dbms_output.put_line(' not same');
ELSE
  dbms_output.put_line('same');
END IF;
END;
/
-- 可以选择使用下面语句
select decode(trim(' '),trim('1'),'same','not same') from dual;
